Subject: Re: [manet] #28 (aodvv2): Routers with multiple interfaces

From: "manet issue tracker" <[email-masked]>
Date: Tue, 23 Dec 2014 22:35:10 -0000

#28: Routers with multiple interfaces

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => fixed

Comment:

 On 4/18/2014 4:48 PM, Charles E. Perkins wrote:
 > Hello folks,
 >
 > AODVv2 does support multiple interfaces.  Multi-homing is a separate
 > issue from supporting multiple interfaces.
 >> #28: Routers with multiple interfaces
 >>
 >>  (Thomas Clausen) It seems that the protocol does not support routers
 with
 >>  multiple interfaces. ...
 >
 > ....
 >>             Multi-homing is difficult unless the sequence number is
 >>    expanded to include the AODVv2 router's IP address as well as
 Seqnum.
 >>    Otherwise, comparing sequence numbers would not work to evaluate
 >>    freshness.  Even when the IP address is included, there isn't a good
 >>    way to compare sequence numbers from different IP addresses, but at
 >>    least a handling node can determine whether the two given sequence
 >>    numbers are comparable.  If the route table can store multiple
 routes
 >>    for the same destination, then multi-homing can work with sequence
 >>    numbers augmented by IP addresses.
 >
 > The paragraph preceding this one in the draft provides context
 > for this, making clear that this paragraph's discussion specifies
 > that AODVv2 does not provide multi-homing for subnets.  I will
 > move the discussion about what is needed for multi-homing into
 > an appendix (not normative), for the purpose of assisting future
 > designers of derivative reactive protocols.  This should eliminate
 > the confusion.

-- 
-----------------------------------+------------------------------------
 Reporter:  [email-masked]  |       Owner:  [email-masked]
     Type:  defect                 |      Status:  closed
 Priority:  major                  |   Milestone:
Component:  aodvv2                 |     Version:
 Severity:  Active WG Document     |  Resolution:  fixed
 Keywords:                         |
-----------------------------------+------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/manet/trac/ticket/28#comment:2>
manet <http://tools.ietf.org/manet/>